Bug 844747 - RFE: Add support for Proxying/Reverse Proxying in front of JON UI
RFE: Add support for Proxying/Reverse Proxying in front of JON UI
Status: CLOSED UPSTREAM
Product: JBoss Operations Network
Classification: JBoss
Component: UI (Show other bugs)
JON 3.1.1
Unspecified Unspecified
unspecified Severity medium
: ---
: JON 3.3.0
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 11:43 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-03 09:08:10 EDT
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Charles Crouch 2012-07-31 11:43:23 EDT
This feature request covers the certification and documentation of a configuration of a proxy in front of one or more JON UI Servers

Possible use cases:
-Have a single URL to access the JON UI, if one server goes down requests will get routed elsewhere
-Have a single vanity URL to access the JON UI, no failover required can work on a single server

More detailed discussion on how people are using proxies with RHQ:
https://lists.fedorahosted.org/pipermail/rhq-devel/2012-July/001955.html
Comment 3 Alan Santos 2014-07-01 11:42:23 EDT
This is supported as it's supported with EAP. 

If there is something specific that's broken in the RHQ implementation it should be addressed with a specific BZ.

Note You need to log in before you can comment on or make changes to this bug.